<?php
namespace WorkbloomERP\Module\v0\Contato\Constants;

class ContribuinteICMSConst {
    public const CONTATO_CONTRIBUINTE_ICMS = [
        1 => 'Contribuinte ICMS',
        2 => 'Contribuinte Isento de Inscrição no Cadastro de Contribuintes',
        9 => 'Não Contribuinte, que pode ou não possuir Inscrição Estadual no Cadastro de Contribuintes'
    ];

    public static function getAll(): array {
        return self::CONTATO_CONTRIBUINTE_ICMS;
    }

    public static function isValid(string $value): bool {
        return array_key_exists(key: $value, array: self::CONTATO_CONTRIBUINTE_ICMS);
    }

    public static function getDescription(string $key): ?string {
        return self::CONTATO_CONTRIBUINTE_ICMS[$key] ?? null;
    }
}